package org.ts.ddcs.Job;


import org.ts.ddcs.Log.LogHelper;
import org.ts.ddcs.Worker.DataProcessHolder;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.stereotype.Component;
import java.util.Date;


@Component
public class DatagramDownloadCheckJobHandler {

//    @XxlJob("CheckJobHandler")
    public void CheckJobHandler() throws Exception {
        try {
            LogHelper.info("*********** check task:" + new Date().toString());
            DataProcessHolder.newInstance().dataProcess.SubmitRetryCheckTask();
        }catch (Exception e){
            LogHelper.error(e);
        }
    }
}
